<?php use_helper('I18N', 'Object', 'Validation', 'Javascript', 'tvtl','ModalBox'); ?>

<?php echo form_tag('/admin/searchmember','method=POST name=member ') ?>
  <?php echo input_hidden_tag('search', 1)?>
  <div id='search-member-title' style='margin-top:10px;margin-bottom:5px;<?php echo ($keysearch==''?'':'display:none;')?>'>
    <?php echo link_to_function('Tìm kiếm thành viên', "Element.show('search-member');Element.hide('search-member-title')") ?>
  </div>
  <div id='search-member' style='margin-top:10px;margin-bottom:5px;<?php echo ($keysearch==''?'display:none;':'')?>'>
    <?php echo link_to_function('Tìm kiếm thành viên', "Element.hide('search-member');Element.show('search-member-title')") ?>
    <div align="left" style="margin-left:25px">
      <?php echo input_tag('keysearch', $keysearch, 'style="width:330px;height:25px;"onfocus="this.value=\'\'"') ?>
      <?php echo submit_tag('Tìm thành viên')?>
      <div class="span-2">Tìm theo:</div>
      <div class="span-2"><?php echo radiobutton_tag('namesearch','fullname',$sFullname)?> Họ tên</div>
      <div class="span-3"><?php echo radiobutton_tag('namesearch','nickname',$sNickname)?> Tên truy nhập</div>
      <div class="span-2"><?php echo radiobutton_tag('namesearch','email',$sEmail)?> Email</div>
    </div>
  </div>
  <div class="clear"></div>
</form>

<?php echo form_tag('/admin/delmember','method=POST name=listmember ') ?>
<table class="table-content" width="100%" border="0" cellpadding="0" cellspacing="0">
  <tr>
    <th width="5%"><input type="checkbox" name="all" id = "all" onclick="checkAll(document.listmember.user);" /></th>
    <th width="15%" align="left" >
        <?php echo link_to('Tên truy nhập','/admin/listmember?nickname='.$nickname.$keysearchlink,
        'title="Sắp xếp theo tên truy nhập"') ?>
        <?php echo $nicknameSign?>
    </th>
    <th width="20%" align="left">
        <?php echo link_to('Họ tên','/admin/listmember?fullname='.$fullname.$keysearchlink,'title="Sắp xếp theo họ tên" ') ?>
        <?php echo $fullnameSign?>
    </th>
    <th width="20%" align="left">
        <?php echo link_to('Email','/admin/listmember?email='.$email.$keysearchlink,'title="Sắp xếp theo email"')?>
        <?php echo $mailSign?>
    </th>
    <th width="12%">
        <?php echo link_to('Gia nhập','/admin/listmember?joindate='.$joindate.$keysearchlink,
        'title="Sắp xếp theo ngày gia nhập"')?>
        <?php echo $dateSign?>
    </th>
    <th width="8%" align="center">
        Đưa lên
    </th>
    <th width="8%" align="center">
        Tải về<?php echo $fullnameSign?>
    </th>
    <th width="12%" align="left">
        Xét duyệt
    </th>
  </tr>

  <?php foreach($pager->getResult() as $i=>$tblbloguser): ?>
  <?php $tbluser = $tblbloguser->getTbluser();?>
  <tr class="row<?php echo $i%2;?>">
  	<td width="5%">
  	 <input type="checkbox" name="user[]" onclick="setCheckAll(document.listmember.user);" id="user" value="<?php echo $tblbloguser->getUsUser()?>" />

  	</td>
    <td>
       <?php echo $tblbloguser->getUsNickname();?>
    </td>
    <td>
       <?php echo $tblbloguser->getUsFullname();?>
    </td>
    <td>
    	  <?php echo $tblbloguser->getUsEmail();?>
    </td>
    <td>
      <?php echo $tblbloguser->getUsJoindate('d/m/Y')?>
    </td>
    <td>
      100
    </td>
    <td>
      <?php echo $tbluser->getUsDownload(); ?>
    </td>
    <td>
      <?php if($tblbloguser->getUsRole() == 0) {
        echo link_to('Chấp nhận','/admin/acceptmember?uid='.$tbluser->getUsId(),
        array('confirm'=>'Quý vị chắc chắn chấp nhận người này làm thành viên?'));
      }?>
    </td>
  </tr>
  <?php endforeach;?>

</table>

<div style="height:50px;">
  <div style="margin-top: 10px;margin-left:5px;">
    <?php echo link_to('Xóa thành viên khỏi trang web','#','onclick=isCheck(document.listmember.user);')?>&nbsp;|&nbsp;
    <?php //echo link_to('Đổi quyền gửi bài viết','#','onclick=showEdit(document.listmember.user,0);')?>
    <?php echo link_to('Phân quyền quản trị thư mục','#','onclick=showEdit(document.listmember.user,1);')?>
  </div>
  <div style="margin-top: 10px;float:right;">
    <?php $pageNav = showPageNav13($pager,'/admin/listmember?'.$keysearchlink.$linkOrder); ?>
    <?php echo $pageNav ?>
  </div>
</div>
</form>
<?php $sf_context->getResponse()->addJavascriptCommand('
function showEdit(users,type) {
  var url = (type==0?"'.url_for('/admin/editmember').'":"'.url_for('/admin/managefolder').'") + "?id=";
  if(users.type == "checkbox") {
    if(users.checked == true) {
      var id = users.value;
      url += id;
      Modalbox.show(url, {width: 600});
      return false;
    } else {
      alert("Bạn phải chọn một thành viên!");
    }
  } else {
    var totalCheck = 0;
    var j = 0;
    for(var i = 0; i < users.length; i++) {
      if(users[i].checked == true) {
        j = i;
        totalCheck++;
      }
    }
    if(totalCheck == 0) {
      alert("Bạn phải chọn một thành viên!");
    } else {
      if(totalCheck > 1) {
        alert("Bạn chỉ được chọn một thành viên");
      } else {
        var id = users[j].value;
        url += id;
        Modalbox.show(url, {width: 600});
        return false;
      }
    }
  }
}
function isCheck(users) {
  var result = false;
  if(users.type == "checkbox") {
    if(users.checked == true) {
      result = true;
    }
  } else {
    for(var i = 0; i < users.length; i++) {
        if(users[i].checked == true) {
          result = true;
        }
    }
  }
  if(result == false ) {
    alert("Bạn phải chọn ít nhất một thành viên");
    return false;
  }
  if(confirm("Bạn có chắc chắn không") == true) {
    document.listmember.submit();
  } else {
    return false;
  }
}
'); ?>